## com.thingmagic
Class Gen2.ReadBuffer

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.ReadBuffer

Direct Known Subclasses:
  Gen2.NXP.AES.ReadBuffer

Enclosing class:
  Gen2

    public static class Gen2.ReadBuffer

extends Gen2.Gen2CustomTagOp

ReadBuffer

Field Summary

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.ReadBuffer(int wordPointer, int bitCount)` Constructor to initialize authentication parameters

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gen2.ReadBuffer

    public Gen2.ReadBuffer(int wordPointer,
                           int bitCount)

  Constructor to initialize authentication parameters

  Parameters:
    `wordPointer` - WordPointer specifies the starting word address for the read.
    `bitCount` - BitCount specifies the number of bits to read.